# Browser Cookies

Cyberdrop-DL can extract cookies from your browser. These can be used for websites that require login or to pass DDoS-Guard challenges. Only cookies from supported websites are extracted

{% hint style="warning" %}
The `user-agent` config value **MUST** match the `user-agent` of the browser from which you imported the cookies. If they do not match, the cookies will not work
{% endhint %}

## `auto_import`

| Type   | Default |
| ------ | ------- |
| `bool` | `false` |

Toggles automatic import of cookies at the start of each run

## `browser`

| Type      | Default   |
| --------- | --------- |
| `BROWSER` | `firefox` |

A browser to use for extraction. Browser must be a supported browser's name.

### Supported Browsers

| Browser   | Windows              | Linux                | MacOS                |
| --------- | -------------------- | -------------------- | -------------------- |
| Arc       | :x:                  | :x:                  | :white\_check\_mark: |
| Brave     | :x:                  | :white\_check\_mark: | :white\_check\_mark: |
| Chrome    | :x:                  | :white\_check\_mark: | :white\_check\_mark: |
| Chromium  | :x:                  | :white\_check\_mark: | :white\_check\_mark: |
| Edge      | :x:                  | :white\_check\_mark: | :white\_check\_mark: |
| Firefox   | :white\_check\_mark: | :white\_check\_mark: | :white\_check\_mark: |
| LibreWolf | :white\_check\_mark: | :white\_check\_mark: | :white\_check\_mark: |
| Lynx      | :x:                  | :white\_check\_mark: | :x:                  |
| Opera     | :x:                  | :white\_check\_mark: | :white\_check\_mark: |
| Opera\_GX | :x:                  | :x:                  | :white\_check\_mark: |
| Safari    | :x:                  | :x:                  | :white\_check\_mark: |
| Vivaldi   | :x:                  | :white\_check\_mark: | :white\_check\_mark: |
| W3M       | :x:                  | :white\_check\_mark: | :x:                  |

## `sites`

| Type            | Default                     |
| --------------- | --------------------------- |
| `list[DOMAINS]` | `[<<ALL_SUPPORTED_SITES>>]` |

List of domains to extract cookies from. You can put any domain on the list, even if they are not officially supported.

## Manual Cookie Extraction

If cookie extraction fails, you can manually extract the cookies from your browser using tools like [cookie-editor](https://cookie-editor.com) and save them at `AppData/Cookies/<site_name>.txt`. The file must be a Netscape formatted cookie file. You can use any name for the file as long as it has a `.txt` extension.

See: [How to extract cookies (DDoSGuard or login errors) #839](https://github.com/Cyberdrop-DL/cyberdrop-dl/discussions/839) for detailed instructions

{% hint style="info" %}
Multiple cookie files are supported. You could have a `SocialMediaGirls.txt` file and a `cyberdrop.txt` file, for example
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://script-ware.gitbook.io/cyberdrop-dl/reference/configuration-options/settings/browser_cookies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
